RPMLUA(8)

BEZEICHNUNG
rpmlua - RPM-Lua-Interpreter

ÜBERSICHT
rpmlua [{-e|--execute} “ANWEISUNG”] [{-i|--interactive}] [SKRIPTDATEI] [arg1 …]

BESCHREIBUNG
Start des RPM-internen Lua-Interpreters.

Hinweis: Indices beginnen in Lua bei 1, deshalb ist der Name des Programms unter »arg[1]« anstatt des eher gewohnten Index Null.

-i|--interactive
    Startet eine interaktive Sitzung nach der Ausführung eines optionalen Skripts oder einer optionalen Anweisung.

–opts=OPTZEICHENKETTE
    Führt eine getopt(3)-Optionsverarbeitung der mit OPTZEICHENKETTE übergebenen Argumente durch.

-e|--execute
    Führt eine Lua-Anweisung vor einem optionalen Skript aus.

BEISPIELE
Eine Skriptdatei »test.lua« ausführen:

    rpmlua test.lua

Die Skriptdatei »args.lua« mit Optionsverarbeitung ausführen:

    rpmlua –opts=ab:c args.lua – 1 2 3 -c -b5

Eine einzelne Anweisung zum Vergleich von RPM-Versionen ausführen:

    rpmlua -e “print(rpm.ver(`1.0') < rpm.ver(`2.0'))”

Eine interaktive Sitzung starten:

    rpmlua -i

SIEHE AUCH
lua(1), popt(3), getopt(3), rpm(8)

http://www.rpm.org/ <URL:http://www.rpm.org/>

AUTOREN

        Panu Matilainen <pmatilai@redhat.com>

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Christoph Brinkhaus <c.brinkhaus@t-online.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).